
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

public class List1 extends JPanel
   implements ListSelectionListener
{
    JTextField actField;
    JList list;

    public List1()
    {
        String items[] = { "GA", "AL", "DC","NY",
                            "CA","UT","FL"};

        JPanel footer;
        JPanel tmp;

        setLayout( new BorderLayout());
        setBackground(Color.lightGray);

        //Turn on buffering

        setDoubleBuffered(true);
        list = new JList(items);
        list.addListSelectionListener(this);
        add(new JScrollPane(list), "Center");

        footer = new JPanel();
        footer.setLayout(new GridLayout(3,1,5,5));

        tmp = new JPanel();
        tmp.add(new JLabel("Sel values:"));
        actField = new JTextField(20); 
        tmp.add(actField);

        footer.add(tmp);

        add(footer, "South");

    }//constructor

    public void valueChanged(ListSelectionEvent e)
    {
        int first, last;
        int i;
        String newVal = "";
        ListModel listData = list.getModel();
        Object selValues[];


        //Display the selected values

        selValues = list.getSelectedValues();

        if (selValues != null)
            last = selValues.length;
        else
            last = 0;

        newVal = "";

        for(i=0;i<last;i++)
        {
            if(i!=0) newVal+=" ";
            newVal += selValues[i].toString();
        }

        actField.setText(newVal);
   }

   public static void main(String s[])
   {
        JFrame f = new JFrame("List1");
        List1 panel = new List1();

        f.setForeground(Color.black);
        f.setBackground(Color.lightGray);
        f.getContentPane().add(panel, "Center");

        f.setSize(350,350);
        f.setVisible(true);
        f.addWindowListener(new WindowCloser());


    }//main


}//class


class WindowCloser extends WindowAdapter
{
    public void windowClosing(WindowEvent e)
    {
        Window win = e.getWindow();
        win.setVisible(false);
        win.dispose();
        System.exit(0);
    }//windowClosing
}//class WindowCloser

