 
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;


public class FlowLayout1 extends JPanel
{
    public FlowLayout1()
    {
        JButton btnOne;
        JButton btnTwo;
        JButton btnThree;
        JButton btnFour;

        this.setLayout(new FlowLayout(FlowLayout.LEFT));

        btnOne = new JButton("One");
        add(btnOne);

        btnTwo = new JButton("Two");
        add(btnTwo);

        btnThree = new JButton("Three");
        add(btnThree);

        btnFour = new JButton("Four");
        add(btnFour);

    }//constructor



    public static void main(String s[])
    {
        JFrame f = new JFrame("Flow Layout");
        FlowLayout1 panel = new FlowLayout1();

        f.setForeground(Color.black);
        f.setBackground(Color.lightGray);
        f.getContentPane().add(panel, "Center");

        f.setSize(400,100);
        f.setVisible(true);
        f.addWindowListener(new WindowCloser());


    }//main
}//class


class WindowCloser extends WindowAdapter
{
    public void windowClosing(WindowEvent e)
    {
        Window win = e.getWindow();
        win.setVisible(false);
        win.dispose();
        System.exit(0);
    }//windowClosing
}//class WindowCloser
